classdef TestSkeleton2Vector < TestCase
%TESTSKELETON2VECTOR skeleton2vector test case

properties
    
end

methods

function obj = TestSkeleton2Vector(name)

obj = obj@TestCase(name);

end

function testSingle(obj)

skeleton = [0 1 2 4; 1 0 3 5; 2 3 0 6; 4 5 6 0]
vector_true = [ 1 2 4 3 5 6 ]'

vector = org.mensxmachina.commons.graph.skeleton2vector(skeleton);
assertEqual(vector, vector_true);

vector_sparse = org.mensxmachina.commons.graph.skeleton2vector(sparse(skeleton));
assertEqual(vector_sparse, sparse(vector_true));

end

end

end
