classdef TestPlotRoc < TestCase
%TESTPLOTROC plotroc test cases
% Note: requires MATLAB NN toolbox

properties
    
end

methods

function obj = TestPlotRoc(name)

obj = obj@TestCase(name);

end

function testCmpWithMatlabPlotRoc(obj)

close all;
load iris_dataset;
net = newpr(irisInputs,irisTargets,20);
net = train(net,irisInputs,irisTargets);
irisOutputs = sim(net,irisInputs); 

plotroc(irisTargets,irisOutputs);

irisTargetsCell = cell(1, 3);
irisOutputsCell = cell(1, 3);

for i=1:3
    
    irisTargetsCell{i} = irisTargets(i, :);
    irisOutputsCell{i} = irisOutputs(i, :);
    
end

org.mensxmachina.commons.stats.plotroc(irisTargetsCell, irisOutputsCell);

end

end

end
