classdef TestVector2Skeleton < TestCase
%TESTVECTOR2SKELETON vector2skeleton test case

properties
    
end

methods

function obj = TestVector2Skeleton(name)

obj = obj@TestCase(name);

end

function testSingle(obj)

vector = [ 1 2 4 3 5 6 ]'
skeleton_true = [0 1 2 4; 1 0 3 5; 2 3 0 6; 4 5 6 0]

skeleton = org.mensxmachina.commons.graph.vector2skeleton(vector);
assertEqual(skeleton, skeleton_true);

skeleton_sparse = org.mensxmachina.commons.graph.vector2skeleton(sparse(vector));
assertEqual(skeleton_sparse, sparse(skeleton));

end

end

end
